Skip to main content
GET
/
alpha
/
merchant
/
products
List products
curl --request GET \
  --url https://api.auctionnow.io/api/alpha/merchant/products \
  --header 'Authorization: <authorization>'
{
  "data": [
    {
      "_id": "<string>",
      "_creationTime": 123,
      "title": "<string>",
      "description": "<string>",
      "slug": "<string>",
      "handle": "<string>",
      "partyId": "<string>",
      "price": 123,
      "quantity": 123,
      "quantityAvailable": 123,
      "shippingCostUS": 123,
      "shippingCostInternational": 123,
      "status": "<string>",
      "productType": "PHYSICAL",
      "type": "AUCTION_AND_PRODUCT",
      "image": "<string>",
      "digitalLink": "<string>",
      "customMessage": "<string>",
      "url": "<string>",
      "isArchived": true
    }
  ],
  "timestamp": 123,
  "message": "<string>"
}

Headers

Authorization
string
required

Your Auction Now API key as a Bearer token

Example:

"Bearer ak_XXXXXXX"

Query Parameters

hasActiveAuction
enum<string>

Filter by whether the product has an active auction. When false, only standalone products are returned.

Available options:
true,
false

Response

A successful response

data
object[]
required

A list of products

timestamp
number
required
message
string